<template>
  <imperdonables
    :loadingTitle="loadingTitle"
    :loadingContent="loadingContent"
    :titleNotFound="titleNotFound"
    :contentNotFound="contentNotFound"
    :data="data"
  />
</template>
<script>
import Imperdonables from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/graficas/Imperdonables.vue";
import store from "@/store";
const axios = store.state.axiosApiLocal;
export default {
  name: "Component-NoXImperdonablesImpl",
  props: ["filters"],
  components: {
    Imperdonables,
  },
  data() {
    return {
      loadingTitle: true,
      loadingContent: true,
      titleNotFound: false,
      contentNotFound: false,
      semaforo: null,
      semaforoUtils: null,
      data: {
        descripcion: "Imperdonables",
        total: 24,
        values: [],
      },
    };
  },
  watch: {
    filters(val) {
      this.getData();
    },
  },
  methods: {
    getGrafica() {
      axios(
        "/sistema-informacion/tablero/graficas/v1/clave/generica-imperdonables"
      )
        .then((response) => {
          let data = response.data;
          if (data) {
            this.data = Object.assign(this.data, data.resultado);
          }
        })
        .catch((error) => {
          this.titleNotFound = true;
          console.log(error);
        })
        .finally(() => {
          this.loadingTitle = false;
        });
    },
    getData() {
      this.loadingContent = true;
      this.contentNotFound = false;
      axios
        .post(
          "/sistema-informacion/tablero/reportes/v1/disciplinas/" +
            this.filters.path.idDisciplina +
            "/generico/imperdonables/busquedas",
          this.filters.request
        )
        .then((response) => {
          let data = response.data;
          if (data) {
            let imperdonableTotal = data.resultado.imperdonableTotal;
            this.data.values = [];
            this.data.total = imperdonableTotal.puntosVenta;
            imperdonableTotal.imperdonables.forEach((element) => {
              this.data.values.push({
                total: element.puntosVenta,
                descripcion: element.descripcion,
              });
            });
          }
        })
        .catch((error) => {
          this.contentNotFound = true;
          console.log(error);
        })
        .finally(() => {
          this.loadingContent = false;
        });
    },
  },
  created() {
    this.getGrafica();
  },
};
</script>
